%define rev 4

Name:           pulseaudio-equalizer
Version:        2.7
Release:        20%{?dist}
Summary:        A 15 Bands Equalizer for PulseAudio

Group:          Applications/Multimedia
License:        GPLv3+
URL:            https://code.launchpad.net/~psyke83/+junk/%{name}
# This is a bzr checkout, to obtain the used tarball in this spec :
# bzr branch -r %%{rev} lp:~psyke83/+junk/pulseaudio-equalizer
# mv %%{name} %%{name}-%%{version}
# tar cjf %%{name}-%%{version}.tar.bz2 %%{name}-%%{version}
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.1
Source2:        %{name}-gtk.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  desktop-file-utils

Requires:       pygtk2 >= 2.4
Requires:       ladspa-swh-plugins gnome-icon-theme
Requires:       pulseaudio-utils >= 0.9.19

# Force default equalizer persistence value, fixes rhbz #635400
Patch0:         %{name}-%{version}-force-default-persistence-value.patch
# Remove preamp per discussion with upstrem, fixes rhbz #639604
Patch1:         %{name}-%{version}-remove-preamp.patch
# Better search for the window icon, fixes rhbz #632940
Patch2:         %{name}-%{version}-window-icon.patch
# Do not crash on missing preset, fixes rhbz ##679005
Patch3:         %{name}-%{version}-do-not-crash-on-missing-preset.patch
# The config files/presets not created when $HOME/.pulse missing (#1183283)
Patch4:         pulseaudio-equalizer-2.7-fix-missing-config-dir.patch
# Enable/disable/adjust pulseaudio-equalizer and audio mutes (#1046589)
Patch5:         pulseaudio-equalizer-2.7-get-cur-volume-fix.patch

%description
PulseAudio Equalizer is a 15 bands system wide equalizer, that means
any application that is using PulseAudio, will benefit from the sound
improvement.


%prep
%setup -q
cp debian/copyright COPYING
cp debian/changelog ChangeLog
sed -i 's|gnome-volume-control|multimedia-volume-control|g' usr/share/applications/pulseaudio-equalizer.desktop
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1


%install
mkdir -p $RPM_BUILD_ROOT/usr
cp -rfp usr $RPM_BUILD_ROOT
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}.1
install -Dpm 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}-gtk.1

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


%files
%doc COPYING ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-gtk.1.*


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 Jaromir Capik <jcapik@redhat.com> - 2.7-16
- Fixing audio mute when adjusting the equalizer (#1046589)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 30 2015 Jaromir Capik <jcapik@redhat.com> - 2.7-14
- Fixing crashes when $HOME/.pulse missing (#1183283)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Mar 19 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 2.7-8
- Change gnome-volume-control to multimedia-volume-control in desktop file

* Thu Mar 17 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 2.7-7
- Better fix for rhbz #632940
- Do not crash on missing preset, fixes rhbz #679005

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-6 
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 05 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 2.7-5
- Rework preamp patch

* Mon Jan 03 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 2.7-4
- Remove preamp per discussion with upstream, fixes rhbz #639604
- Add man pages

* Mon Sep 20 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 2.7-3
- Force default equalizer persistence value, fixes rhbz #635400

* Wed Sep 15 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 2.7-2
- Fix rhbz #632940

* Sun Feb 07 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 2.7-1
- New upstream release
- New project URL
- Dropped patches ( merged upstream )

* Thu Nov 26 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 2.4-1
- Initial package
